Added updated dmesg (with verbose error message).

** Attachment added: "dmesg.log"
   
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1746482/+attachment/5047511/+files/dmesg_latest.log

** Attachment removed: "dmesg.txt"
   
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1746482/+attachment/5046387/+files/dmesg.txt

** Attachment removed: "dmesg.log"
   
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1746482/+attachment/5047510/+files/dmesg_latest.log

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1746482

Title:
  mount.cifs stopped working with protocol version != 1.0

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  On a Xenial installation after upgrading to the HWE 4.13.0-32-generic
  kernel it is not possible to use mount.cifs with -o vers=x.y different
  than 1.0.

  Steps to reproduce:
  1. Setup a local Samba share with ntlm auth = yes.
  2. Run:
  mount.cifs -o user=<myuser>,sec=ntlm,vers=2.0 //localhost/theshare/ 
/mnt/theshare
  3. This may be repeated for the following versions: 2.0, 2.1, 3.0.

  Expected result:
  The share gets mounted at /mnt/theshare.

  Actual result:
  The share is not mounted, this gets printed in the console:
  mount error(22): Invalid argument
  Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)

  and in dmesg:
  [   61.935687] CIFS VFS: Unable to select appropriate authentication method!
  [   61.935689] CIFS VFS: Send error in SessSetup = -22
  [   61.935744] CIFS VFS: cifs_mount failed w/return code = -22

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1746482/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to     : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to